/* CSS pour #LaBarre */
#pony-france {
	animation-duration: 1s;
	animation-fill-mode: both;
	animation-name: pf-fadeInDown;
	background: #001017 url('{url}/img/pony.png') no-repeat left bottom;
	box-sizing: initial;
	color: white;
	font-family: sansationregular, Arial, Helvetica, sans-serif;
	font-size: 14px;
	height: 20px;
	left: 0px;
	line-height: 19px;
	position: absolute;
	top: 0px;
	width: 100%;
	z-index: 999999;

	/* A cause de certains resets */
	div {
		line-height: 19px;
	}

	img {
		height: 20px;
		vertical-align: bottom;
	}

	ul {
		cursor: default;
		display: inline-block;
		float: none;
		line-height: 19px;
		list-style-type: none;
		margin: 0px;
		opacity: 1;
		padding: 0px;
		text-shadow: none;

		li {
			display: inline-block;
			float: none;
			line-height: 19px;
			list-style-type: none;
			margin: 0px;
			opacity: 1;
			padding: 0px;
			text-shadow: none;

			a {
				display: inline-block;
				float: none;
				line-height: 19px;
				list-style-type: none;
				margin: 0px;
				opacity: 1;
				padding: 0px;
				text-shadow: none;
			}

			.popover {
				background-color: #001017;
				border-radius: 3px;
				box-shadow: 0 0 5px rgba(0,0,0,0.4);
				display: none;
				font-size: 12px;
				padding: 2px;
				margin-left: -123px;
				margin-top: 10px;
				position: absolute;
				text-align: center;
				width: 150px;
				z-index: 999;

				&:before {
					border-bottom: 7px solid rgba(0, 0, 0, 0.85);
					border-left: 7px solid transparent;
					border-right: 7px solid transparent;
					content: '';
					display: block;
					margin-right: 9px;
					position: absolute;
					right: 0;
					top: -7px;
				}
			}

			&:hover .popover {
				animation: pf-popover .3s linear 1;
				display: block;
			}
		}
	}

	a {
		color: #7ed0f3;
		font-family: sansationregular, Arial, Helvetica, sans-serif !important; /* resets */
		text-decoration: none;
		transition: color 200ms;

		&:link,
		&:visited {
			color: #7ed0f3;
			font-family: sansationregular, Arial, Helvetica, sans-serif !important; /* resets */
			text-decoration: none;
			transition: color 200ms;
		}

		&:hover {
			color: #c2edff;
		}

		&:active {
			color: #7daabd;
		}
	}

	#pfSubMenuButton,
	#pfTitleButton {
		box-sizing: initial;
		padding-top: 1px;
	}

	/* === Partie de gauche === */
	#pfMainSide {
		float: left;
		height: 20px;
		margin-left: 17px;

		#pfTitleButton {
			float: left;
			padding-right: 15px;
			transition: background-color 200ms;
		}

		#pfEvents {
			display: inline-block;
			height: 20px;
			// margin-top: -1px;
			overflow: hidden;
			-webkit-user-select: none;

			ul {
				/* 2 éléments: 8s, 3 éléments: 12s, 4 éléments: 18s */
				/* animation: pf-ticker 12s cubic-bezier(1, 0, .5, 0) infinite; */
				-webkit-user-select: none;

				li {
					display: block;
					line-height: 19px;
					list-style: none;

					a {
						display: inline-block;
						float: none;
						line-height: 19px;
						list-style-type: none;
						margin: 0px;
						opacity: 1;
						padding: 0px;
						text-shadow: none;

						img {
							margin-right: 5px;
						}
					}
				}

				&:hover {
					animation-play-state: paused;
				}
			}
		}
	}

	/* === Partie de droite === */
	#pfLinkSide,
	#pfLinkSelect {
		float: right;
	}

	#pfLinkSide img {
		padding: 0 5px;
	}

	#pfLinkSelect {
		display: none;
		margin-top: 0;
		padding: 0;
	}

	#pfSubMenuButton {
		background: transparent url('{url}/img/submenu.png') no-repeat right center;
		border-right: 10px solid transparent;
		cursor: pointer;
		float: right;
		height: 19px;
		margin: 0 8px;
		padding-right: 20px;
		text-align: center;
		transition: background-color 200ms;
		width: 70px;

		&:hover {
			background-color: #62c2de;
		}

		#pfSubMenu {
			background-color: #f5f5f5;
			display: none;
			padding: 8px 13px 2px;
			position: absolute;
			right: 8px;
			text-align: left;
			top: 20px;
			width: 140px;
			z-index: 9998;

			li {
				display: block;
				margin-bottom: 5px;
				padding: 0;

				a {
					color: #4ab9d9;
					font-size: 1.1em;
					transition: background-color 200ms;

					&:hover {
						color: #58daff;
					}

					&:active {
						color: #3e7c8e;
					}
				}

				&:after {
					content: '' !important;
				}
			}
		}

		&:hover #pfSubMenu {
			display: block;
		}
	}

	/* === Animation === */
	.blink-me {
		animation-delay: 1s;
		animation-duration: 3s;
		animation-iteration-count: infinite;
		animation-name: pf-blinker;
		animation-timing-function: linear;
	}
}

/* === Media Queries === */
@media screen and (max-width: 860px) {
	#pony-france {
		#pfLinkSide {
			display: none;
		}

		#pfLinkSelect {
			display: inline-block;
			height: 20px;
		}
	}
}

/* Ne pas afficher les events si la barre est trop petite */
@media screen and (max-width: 580px) {
	#pony-france #pfMainSide #pfEvents {
		display: none;
	}
}

/* === Animation === */
/* Faire clignoter l'élément */
@keyframes pf-blinker {
	0% {
		color: #7ed0f3;
	}
	5% {
		color: #ffffff;
	}
	15% {
		color: #7ed0f3;
	}
}

/* Pour le popover */
@keyframes pf-popover {
	from {
		margin-top: 0px;
		opacity: 0;
	}
	to {
		margin-top: 10px;
		opacity: 1;
	}
}

/*
Défilement vertical des events

Sauts margin-top = -20px
2 éléments: 0% = 0, 60% (+80%) = -20, 100% = 0
3 éléments: 0% = 0, 35% = -20, 70% (+85%) = -40, 100% = 0
4 éléments: 0% = 0, 25% = -20, 50% = -40, 75% (+90%) = -60, 100% = 0
*/
@keyframes pf-ticker {
	0%   {
		margin-top: 0;
	}
	35%  {
		margin-top: -20px;
	}
	70%  {
		margin-top: -40px;
	}
	85%  {
		margin-top: -40px;
	}
	100% {
		margin-top: 0;
	}
}
